uuid: ce39dee1-d640-44cb-bc02-749429364e2c
langcode: en
status: true
dependencies: {  }
id: upgrade_d7_node_complete_quiz_page
class: Drupal\node\Plugin\migrate\D7NodeTranslation
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - 'Drupal 7'
  - Content
migration_group: migrate_drupal_7
label: 'Node complete (Quiz page)'
source:
  plugin: d7_node_complete
  node_type: quiz_page
process:
  nid:
    -
      plugin: get
      source: tnid
  vid:
    -
      plugin: get
      source: vid
  langcode:
    -
      plugin: default_value
      source: language
      default_value: und
  title:
    -
      plugin: get
      source: title
  uid:
    -
      plugin: get
      source: node_uid
  status:
    -
      plugin: get
      source: status
  created:
    -
      plugin: get
      source: created
  changed:
    -
      plugin: get
      source: timestamp
  promote:
    -
      plugin: get
      source: promote
  sticky:
    -
      plugin: get
      source: sticky
  revision_uid:
    -
      plugin: get
      source: revision_uid
  revision_log:
    -
      plugin: get
      source: log
  revision_timestamp:
    -
      plugin: get
      source: timestamp
  content_translation_source:
    -
      plugin: get
      source: source_langcode
  comment_node_quiz_page/0/status:
    -
      plugin: get
      source: comment
  body:
    -
      plugin: get
      source: body
  og_vocabulary:
    -
      plugin: get
      source: og_vocabulary
  field_metatag:
    -
      plugin: d7_metatag_entities
      source: pseudo_metatag_entities
destination:
  plugin: 'entity_complete:node'
  translations: true
  default_bundle: quiz_page
migration_dependencies:
  required:
    - upgrade_d7_user
    - upgrade_d7_node_type
  optional:
    - upgrade_d7_field_instance
    - upgrade_d7_comment_field_instance
    - upgrade_d7_metatag_field
    - upgrade_d7_metatag_field_instance
